<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>New-Request</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">

    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
    <link rel="stylesheet" href="../../../dist/css/main.css" type="text/css" />
    <link rel="stylesheet" href="../../../dist/css/admin.css" type="text/css" />
    <link rel="stylesheet" href="../../../dist/css/pages/leaves.css" type="text/css" />
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />

</head>

<body>
    <div class="sidenav leftSidebar expandedNav" id="adminBavbar"></div>
    <div id="mainContent">
        <nav class="navbar-header">
            <!-- for topnavigation bar topbar.js -->
        </nav>
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">Leaves</h2>

                <ul class="tabs mb-0">
                    <li>
                        <a href="#">MY LEAVES</a>
                    </li>
                    <li>
                        <a href="#">REVIEW & APPROVALS</a>
                    </li>
                    <li>
                        <a href="#">UPLOAD LEAVES</a>
                    </li>
                </ul>

            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content adminTabsScreen">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">

                                        <h3>Leave Requisition</h3>

                                    </div>
                                </div>
                              <div class="content mb-4" id="leaveForm">

                                        <div class="fields mr-4 mb-4">
                                            <label class="labelGroup">Leave Type <span class="mandatorySign">*</span></label>
                                            <select class="mandatory" name="leaveType" id="leaveType">
                                                <option value="" selected="selected" hidden="hidden">Select
                                                    leave type</option>
                                                <option value="Half Day">Earned Leave</option>
                                                <option value="Full Day">Casual Leave</option>
                                                <option value="Full Day">Sick Leave</option>
                                                <option value="Full Day">Optional Holiday</option>
                                                <option value="Full Day">Paternity Leave</option>
                                            </select>
                                        </div>

                                        <div class="row no-padding">
                                            <div class="calenderSection">
                                                <div class="fields mb-4 inputBoxIcon">
                                                    <label class="labelGroup">From Date <span class="mandatorySign">*</span>
                                                    </label>

                                                    <input class="mandatory" type="text" id="fromDate" name="fromDate" placeholder="dd/mm/yyyy">
                                                    <span class="inputIcon">
                                                        <i class="far fa-calendar-alt cal1"></i>
                                                    </span>

                                                </div>
                                            </div>
                                            <div class="durationSection">
                                                <div class="fields mb-4">

                                                    <select name="fromType" id="fromType">
                                                        <option value="Full Day">Full Day</option>
                                                        <option value="1st half">1st Half</option>
                                                        <option value="2nd half">2nd Half</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="calenderSection">
                                                <div class="fields mb-4 inputBoxIcon">
                                                    <label class="labelGroup">To Date <span class="mandatorySign">*</span></label>
                                                    <input class="mandatory" type="text" id="toDate" name="toDate" placeholder="dd/mm/yyyy">
                                                    <span class="inputIcon">
                                                        <i class="far fa-calendar-alt cal2"></i>
                                                    </span>

                                                </div>
                                            </div>
                                            <div class="durationSection">
                                                <div class="fields mr-1 mb-2">

                                                    <select name="toType" id="toType">
                                                        <option value="Full Day">Full Day</option>
                                                        <option value="1st half">1st Half</option>
                                                        <option value="2nd half">2nd Half</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="durationSection ml-0">
                                                <div class="fields mb-4">
                                                    <label for="noOfdays">No. of Days</label>
                                                    <input disabled="" type="text" readonly="" name="days" id="days" placeholder="">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row no-padding">
                                            <div class="fields mr-4 mb-4">
                                                <label for="contactAddress">Contact Address</label>
                                                <input type="text" id="contactAddress" name="contactAddress" placeholder="Enter your contact address">
                                            </div>
                                            <div class="fields mr-4 mb-4">
                                                <label class="labelGroup">Emergency Contact <span class="mandatorySign">*</span></label>
                                                <input class="mandatory mobile" type="text" id="emergencyContact" name="emergencyContact" placeholder="Enter your emergency contact" maxlength="10">
                                            </div>

                                            <div class="fields mr-4 mb-4 inputBoxIcon">
                                                    <label class="labelGroup">Reliever <span class="mandatorySign">*</span></label>
                                                    <a href="#addFiltersPopup" rel="modal:open">
                                                        <input class="mandatory" type="text" id="reliever" name="reliever" placeholder="Select the employees">
                                                    </a>
                                                    <span class="selectEmp"><img src="../dist/images/search.svg" alt=""></span>
    
                                                </div>
                                        </div>
                                        <div class="fields mb-4">
                                            <label class="labelGroup">Reason <span class="mandatorySign">*</span></label>
                                            <textarea class="mandatory" cols="30" rows="10" placeholder="State the reason for the leave request" id="leaveReason" name="leaveReason"></textarea>

                                        </div>
                                        <div>
                                            <button class="oct-btn oct-btn-primary"  onclick="formValidations('leaveForm');">Request Leave</button>
                                            <button class="oct-btn oct-btn-outline"  onclick="clearForm('leaveForm');">Clear</button>
                                        </div>
								

                                    </div>
                            </div>

                        </div>

                    </div>
                    <!-- / tabs_item -->
                    <div class="tabs_item innerContent">
                      

                    </div>
                    <!-- / -->
                    <div class="tabs_item innerContent">
                       
                    </div>
                    <!-- / tab_content -->
                </div>
                <!-- / tab -->
            </div>
        </div>


        <div id="learningreject" class="modal octanePopup">
            <h4>Reject</h4>



            <div class="form-group">
                <div class="row marginNone">
                    <div class="fields">
                        <label class="mt-4 labelGroup" for="reason">Reason for rejection <span
                                class="mandatorySign">*</span></label>
                        <textarea class="mandatory" name="reason" id="reason" cols="75" rows="5" required
                            placeholder="Please state the reason for rejecting the request"></textarea>
                    </div>
                </div>


                <div class="row marginNone closeBtn mt-4">
                    <input class="oct-btn oct-btn-primary" type="button" value="Submit"
                        onclick="formValidations('learningreject','yes');">
                    <input class="clearButton" type="reset" value="Clear" lass="oct-btn-link"
                        onclick="clearpopupForm('learningreject');">

                </div>

            </div>

        </div>
        <div id="learningApprove1" class="modal feedBack">

            <h4>Approve</h4>

            <div class="form-group">
                <div class="row marginNone">
                    <div class="fields">
                        <label class="mt-4 labelGroup" for="reason">Description <span
                                class="mandatorySign">*</span></label>
                        <textarea class="mandatory" name="desc" id="desc" cols="75" rows="5"
                            placeholder="Please enter comments"></textarea>
                    </div>
                </div>


                <div class="row marginNone closeBtn mt-4">

                    <input class="oct-btn oct-btn-primary" type="button" value="Submit"
                        onclick="formValidations('learningApprove1','yes');">
                    <input class="clearButton" type="reset" value="Clear" lass="oct-btn-link"
                        onclick="clearpopupForm('learningApprove1');">
                </div>

            </div>

        </div>
     

        <div class="popup-bg" id="historyDetailsPopup">
            <div class="popup-card">
                <header class="popup-header">
                    <h3 class="card-title">Add Filter</h3>
                    <i class="material-icons" id="closePopup">close</i>
                </header>
                <main class="popup-content">
                    <div class="approvalPopup">
                        <div class="row">
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>REQUEST NO<span>LV18/00001158</span></p>

                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>TYPE<span>Casual</span></p>
                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>FROM<span>3:45 pm - Mar 14, 2019</span></p>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>TO<span>5:30 pm - Mar 14, 2019</span></p>

                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>DAYS<span>2 Days</span></p>
                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>REASON<span>Going out of town</span></p>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>APPROVAL<span>Rejected</span></p>

                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>STATUS<span>Closed</span></p>
                            </div>
                        </div>


                    </div>
                </main>
            </div>
        </div>


        <div class="popup-bg filterTablePopup" id="employeeSelectPopup">
            <div class="popup-card" style="height: auto; width: 880px; ">
                <header class="popup-header">
                    <h3 class="card-title">Add Filter</h3>
                    <i class="material-icons" id="closePopup">close</i>
                </header>
                <main>
                    <form>
                        <!-- filter popup model content-->
                        <div class="row">

                            <div class="col-md-4 col-sm-12 col-xs-12 mt-2">

                                <div class="fields">
                                    <label for="companyType">COMPANY</label>
                                    <select id="companyType" name="companyType">
                                        <option value="null" selected="">Select the company</option>
                                        <option value="google">Google</option>
                                        <option value="embee">Embee</option>
                                        <option value="yahoo">Yahoo</option>
                                    </select>
                                </div>



                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12 mt-2">
                                <div class="fields">
                                    <label for="branchType">BRANCH</label>
                                    <select id="branchType" name="branchType">
                                        <option value="null" selected="">Select the branch</option>
                                        <option value="delhi">Delhi</option>
                                        <option value="mumbai">Mumbai</option>
                                        <option value="kolkata">Kolkata</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-4 col-sm-12 col-xs-12 mt-2">
                                <div class="fields">
                                    <label for="costBranchType">COST BRANCH</label>
                                    <select id="costBranchType" name="costBranchType">
                                        <option value="null" selected="">Select the cost branch</option>
                                        <option value="delhi">Delhi</option>
                                        <option value="mumbai">Mumbai</option>
                                        <option value="kolkata">Kolkata</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <div class="fields mt-4">
                                    <label for="departmentType">DEPARTMENT</label>
                                    <select id="departmentType" name="departmentType">
                                        <option value="null" selected="">Select the employment type</option>
                                        <option value="human resources">Human Resources</option>
                                        <option value="development">Development</option>
                                        <option value="marketing">Marketing</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <div class="fields mt-4">
                                    <label for="projectType">PROJECT</label>
                                    <select id="projectType" name="projectType">
                                        <option value="null" selected="">Select the project</option>
                                        <option value="csp">CSP</option>
                                        <option value="octane">Octane</option>
                                        <option value="hrms">HRMS</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <div class="fields mt-4">
                                    <label for="">EMPLOYEMENT TYPE</label>
                                    <select id="employmentType" name="employmentType">
                                        <option value="null" selected="">Select the employment type</option>
                                        <option value="full-time">Full Time</option>
                                        <option value="part-time">Part Time</option>
                                        <option value="intern">Intern</option>
                                    </select>
                                </div>

                            </div>


                        </div>

                        <div class="row">
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <div class="fields mt-4">
                                    <label for="division">DIVISION</label>
                                    <select id="division" name="division">
                                        <option value="null" selected="">Select the employment type</option>
                                        <option value="human resources">Human Resources</option>
                                        <option value="development">Development</option>
                                        <option value="marketing">Marketing</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <div class="fields mt-4">
                                    <label for="grade">GRADE </label>
                                    <select id="grade" name="grade">
                                        <option value="null" selected="">Select the project</option>
                                        <option value="csp">CSP</option>
                                        <option value="octane">Octane</option>
                                        <option value="hrms">HRMS</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                <div class="fields mt-4 mb-4">
                                    <label for="employmentStatus">EMPLOYEMENT STATUS</label>
                                    <select id="employmentStatus" name="employmentStatus">
                                        <option value="null" selected="">Select the employment type</option>
                                        <option value="full-time">Full Time</option>
                                        <option value="part-time">Part Time</option>
                                        <option value="intern">Intern</option>
                                    </select>
                                </div>

                            </div>


                        </div>

                        <div class="row">
                            <div class="col-md-3 col-sm-12 col-xs-12">
                                <div class="fields mt-2">
                                    <label for="employeeCode">EMPLOYEE CODE</label>
                                    <input type="text" name="employeeCode" placeholder="Enter Code">
                                </div>
                            </div>
                            <div class="col-md-3 col-sm-12 col-xs-12">
                                <div class="fields mt-2">
                                    <label for="firstName">FIRST NAME </label>

                                    <input type="text" name="firstName" placeholder="First Name">
                                </div>
                            </div>
                            <div class="col-md-3 col-sm-12 col-xs-12">
                                <div class="fields mt-2 mb-4">
                                    <label for="middleName">MIDDLE NAME </label>
                                    <input type="text" name="middleName" placeholder="Middle Name">
                                </div>

                            </div>
                            <div class="col-md-3 col-sm-12 col-xs-12">
                                <div class="fields mt-2 mb-4">
                                    <label for="lastName">LAST NAME</label>
                                    <input type="text" name="lastName" placeholder="Last Name">
                                </div>

                            </div>

                            <div class="table-responsive table-striped table-hover">
                                <table class="innerTable ml-3" id="employeeTable">
                                    <thead>
                                        <tr>
                                            <th class="trHead"> </th>
                                            <th class="trHead">CODE</th>
                                            <th class="trHead">EMPLOYEE NAME</th>
                                            <th class="trHead">TITLE</th>
                                            <th class="trHead">DEPARTMENT</th>
                                            <th class="trHead">BRANCH</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td><input type="radio" name="empSelect" data-empcode="226718"></td>
                                            <td>
                                                226718
                                            </td>
                                            <td>
                                                <img
                                                    src="https://pbs.twimg.com/profile_images/970715426345766912/5cvJHVrz.jpg">
                                                Sachin Shah
                                            </td>
                                            <td>Front-End Developer</td>
                                            <td>Development</td>
                                            <td>Delhi</td>
                                        </tr>
                                        <tr>
                                            <td><input type="radio" name="empSelect" data-empcode="226727"></td>
                                            <td>
                                                226727
                                            </td>
                                            <td>
                                                <img src="https://randomuser.me/api/portraits/men/47.jpg">Amik Desai
                                            </td>
                                            <td>SEO Lead</td>
                                            <td>Development</td>
                                            <td>Kolkata
                                            </td>
                                        </tr>
                                        <tr>
                                            <td><input type="radio" name="empSelect" data-empcode="222628"></td>
                                            <td>222628</td>
                                            <td><img src="https://randomuser.me/api/portraits/women/15.jpg">Suhana Mehta
                                            </td>
                                            <td>UI Designer</td>
                                            <td>Design</td>
                                            <td>Delhi</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>


                        </div>
                        <div class="form-group mb-0 mt-4">

                            <div class="row marginNone closeBtn">

                                <button type="button" id="selectEmployee"
                                    class="oct-btn oct-btn-primary mt-0">Apply</button>
                                &nbsp;
                                <a href="javascript:void(0);" class="clearTableFilters ml-2">Clear</a>
                            </div>

                        </div>
                    </form>
            </div>
            </main>
        </div>




        <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
		<script src="../../../dist/js/sidebar-admin.js"></script>
        <script src="../../../dist/js/topbar.js"></script>
          
        <script src="../../../dist/js/octane.js"></script>
       <script>
            // A $( document ).ready() block.
            $(document).ready(function () {

                /*Start leave request form validations*/
                $("#fromType").change(function () {
                    calculateDays();
                });

                $("#toType").change(function () {
                    calculateDays();
                });

                $(".cal1").click(function () {

                    $('#fromDate').datepicker("show");

                });

                $(".cal2").click(function () {

                    $('#toDate').datepicker("show");

                });

                $("#fromDate").datepicker({
                    dateFormat: 'dd/mm/yy',
					changeYear: true,
                    onSelect: function () {
                        if ($("#fromDate").val() != '') {
                            $("#fromDate").removeClass('error');
                            $("#fromDate-error").empty();
                        }
                        calculateDays();
                    }
                });

                $("#toDate").datepicker({
                    dateFormat: 'dd/mm/yy',
					changeYear: true,
                    onSelect: function () {
                        if ($("#toDate").val() != '') {
                            $("#toDate").removeClass('error');
                            $('#toDate-error').empty();
                        }
                        calculateDays();
                    }
                });


                $("#fromDate").change(function () {
                    if ($("#fromDate").val() != '') {
                        $("#fromDate").removeClass('error');
                        $('#fromDate-error').empty();
                    }

                });
                $("#toDate").change(function () {

                    if ($("#toDate").val() != '') {
                        $("#toDate").removeClass('error');
                        $('#toDate-error').empty();
                    }

                });


            });

            //Calculate Days When start and end date selected
            function calculateDays() {
                var start = $("#fromDate").datepicker("getDate");
                var end = $("#toDate").datepicker("getDate");
                days = (end - start) / (1000 * 60 * 60 * 24);
                var daysDiff = Math.round(days);
                var fromType = $("#fromType").val();
                var toType = $("#toType").val();

                if ((fromType == '1st half' || fromType == '2nd half') && toType == 'Full Day') {
                    daysDiff = daysDiff + 0.5;

                } else if ((toType == '1st half' || toType == '2nd half') && fromType == 'Full Day') {
                    daysDiff = daysDiff + 0.5;

                } else if (fromType == 'Full Day' && toType == 'Full Day') {
                    daysDiff = daysDiff + 1;

                } else if ((fromType == '2nd half' && toType == '2nd half') || (fromType == '1st half' && toType ==
                        '2nd half') || (fromType == '2nd half' && toType == '1st half') || (fromType == '1st half' &&
                        toType == '1st half')) {
                    daysDiff = daysDiff;

                }
                if (start > end && end != null) {
					$("#todate-error").remove();
					
                    $("#toDate").after(
                        '<label id="todate-error" class="error">To date should be greater than from date.</label>');
                    $("#toDate").focus();
                } else {
                    $("#todate-error").html('');
                }
                if (isNormalInteger(daysDiff) && end != null && start != null) {
                    $('#days').val(daysDiff);
                } else {
                    $('#days').val('');
                }
            } //End Function



            //Check Numberic and positive value
            function isNormalInteger(str) {
                return /^\d+(\.\d{1,2})?$/.test(str);
            } //End function
        </script>
</body>

</html>